Recent

Author Topic: undefined reference to `QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)@  (Read 205 times)

r.lukasiak

  • Jr. Member
  • **
  • Posts: 88
Hi everyone!
I've been using Lazarus with Qt5 for quite a while and everything worked flawlessly, but after a month of break I returned to my projects and I faced this error. I can't build any of them.
Whatever I wanna build, I'm getting:
Quote
/usr/bin/ld: /lib64//libQt5Pas.so: undefined reference to `QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)@Qt_5'

I'm using Gentoo Linux, Qt-5.15.5 and Lazarus 2.2.2. As I remember I recently updated Qt but I don't remember what was the previous version.

libQt5Pas seems to be where it's supposed to be:
Quote
#ls /lib64/libQt5Pas*
/lib64/libQt5Pas.so  /lib64/libQt5Pas.so.1  /lib64/libQt5Pas.so.1.2.9
and it worked like this for months.

I tried to rebuild Lazarus but the result is the same:
Quote
$ LCL_PLATFORM="qt5" make clean all
.
.
.
(9015) Linking ../lazarus
/usr/bin/ld: /lib64//libQt5Pas.so: undefined reference to `QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)@Qt_5'

I was searching for some newer libQt5Pas version but no luck. I also tried installing libQt5Pas from pg_overlay but nothing has changed.

Any clue?

Thanks in advance!

 

TinyPortal © 2005-2018